<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "pdi_model".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "PdiModel".
 *
 * Columns in table "pdi_model" available as properties of the model,
 * and there are no model relations.
 *
 * @property integer $id
 * @property string $model
 * @property integer $sync_sqs
 * @property integer $sync_kafka
 * @property string $integrity_check_frequency
 * @property integer $offset
 *
 */
abstract class BasePdiModel extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'pdi_model';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'PdiModel|PdiModels', $n);
    }

    public static function representingColumn()
    {
        return 'model';
    }

    public function rules()
    {
        return array(
            array('model', 'required'),
            array('sync_sqs, sync_kafka, offset', 'numerical', 'integerOnly' => true),
            array('model', 'length', 'max' => 100),
            array('integrity_check_frequency', 'length', 'max' => 7),
            array('sync_sqs, sync_kafka, integrity_check_frequency, offset', 'default', 'setOnEmpty' => true,
                'value' => null),
            array('id, model, sync_sqs, sync_kafka, integrity_check_frequency, offset', 'safe', 'on' => 'search'),
        );
    }

    public function relations()
    {
        return array(
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'model' => Yii::t('app', 'Model'),
            'sync_sqs' => Yii::t('app', 'Sync Sqs'),
            'sync_kafka' => Yii::t('app', 'Sync Kafka'),
            'integrity_check_frequency' => Yii::t('app', 'Integrity Check Frequency'),
            'offset' => Yii::t('app', 'Offset'),
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('model', $this->model, true);
        $criteria->compare('sync_sqs', $this->sync_sqs);
        $criteria->compare('sync_kafka', $this->sync_kafka);
        $criteria->compare('integrity_check_frequency', $this->integrity_check_frequency, true);
        $criteria->compare('offset', $this->offset);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria,
        ));
    }

}
